Bug 193743

Summary: Web Inspector: Audit: remove experimental setting
Product: WebKit Reporter: Devin Rousso <drousso>
Component: Web InspectorAssignee: Devin Rousso <drousso>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, drousso, inspector-bugzilla-changes, joepeck, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: All   
OS: All   
Bug Depends on: 190754    
Bug Blocks:    
Attachments:
Description Flags
Patch
none
Patch none

Description Devin Rousso 2019-01-23 15:52:37 PST
Turn the Audit tab on by default \(0.0)/
Comment 1 Devin Rousso 2019-01-23 15:52:46 PST
<rdar://problem/28234022>
Comment 2 Devin Rousso 2019-01-23 16:03:47 PST
Created attachment 359967 [details]
Patch
Comment 3 Devin Rousso 2019-01-23 16:07:23 PST
Should we do anything for the situation where the user had already opened WebInspector?  In that case, they'd already have a list of open tabs, and we wouldn't add the Audit tab to that list (it's only in the `defaultValue` list).  If so, that would probably mean adding another semi-permanent setting 😅 that gets set when we force-add the Audit tab (so it only get's added once and won't reappear if the user then removes it themselves).
Comment 4 Joseph Pecoraro 2019-01-24 19:33:35 PST
Comment on attachment 359967 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=359967&action=review

> Source/WebInspectorUI/ChangeLog:13
> +        (WI.Setting.migrateValue):
> +        Drive-by: add the localStorage key prefix to the key passed into `WI.Setting.migrateValue`.

This should really be done separately, since you aren't using it here the drive-by is totally unrelated.

> Source/WebInspectorUI/UserInterface/Views/AuditTabContentView.js:-53
> -    static isTabAllowed()
> -    {
> -        return !!window.RuntimeAgent && WI.settings.experimentalEnableAuditTab.value;
> -    }

I still think we will want to disable this for ServiceWorkers and JSContexts... basically only allow this for Web Pages:

    static isTabAllowed()
    {
        return WI.sharedApp.debuggableType === WI.DebuggableType.Web;
    }
Comment 5 Devin Rousso 2019-01-25 13:23:27 PST
Created attachment 360151 [details]
Patch
Comment 6 WebKit Commit Bot 2019-01-25 13:49:08 PST
Comment on attachment 360151 [details]
Patch

Clearing flags on attachment: 360151

Committed r240502: <https://trac.webkit.org/changeset/240502>
Comment 7 WebKit Commit Bot 2019-01-25 13:49:10 PST
All reviewed patches have been landed.  Closing bug.